---
# yaml-language-server: $schema=https://schema.blue-build.org/module-list-v1.json
modules:
  - type: dnf
    # source: local
    repos:
      cleanup: true
      files:
        - kubectl.repo
        - google-cloud-sdk.repo
        - opentofu.repo
        - https://pkg.earthly.dev/earthly.repo
        - https://cli.github.com/packages/rpm/gh-cli.repo
        - https://download.docker.com/linux/fedora/docker-ce.repo
        - https://rpm.releases.hashicorp.com/fedora/hashicorp.repo
    group-install:
      packages:
        - development-tools
    install:
      packages:
        - docker-ce
        - docker-ce-cli
        - containerd.io
        - docker-buildx-plugin 
        - docker-compose-plugin
        - cmake
        - "gcc-c++"
        - earthly
        - kubectl
        - helm
        - pylsp
        - parallel
        - gcc-aarch64-linux-gnu
        - gcc-c++-aarch64-linux-gnu
        - musl-gcc
        - openssl-devel
        - bat
        - gh
        - go
        - git-lfs
        - google-cloud-cli
        - erlang
        - erlang-doc
        - elixir
        - elixir-doc
        - zlib-devel
        - glab
        - hugo
        - copr-cli
        - rpm-build
        - rpm-devel
        - rpmlint
        - diffutils
        - patch
        - rpmdevtools
        - protobuf-compiler
        - helix
        - tofu
        - terraform-ls
  - type: systemd
    system:
      enabled:
      - docker.service
  - type: script
    scripts:
      - install-mkcert.sh
      - install-codelldb.sh
      - install-zellij.nu
